---
title: WebGLRenderingContext.getVertexAttribOffset()
slug: Web/API/WebGLRenderingContext/getVertexAttribOffset
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.getVertexAttribOffset()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> returns the address of a specified vertex attribute.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">GLintptr <var>gl</var>.getVertexAttribOffset(<var>index</var>, <var>pname</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>index</dt>
 <dd>A {{domxref("GLuint")}} specifying the index of the vertex attribute.</dd>
 <dt>pname</dt>
 <dd>A {{domxref("GLenum")}} which must be <code>gl.VERTEX_ATTRIB_ARRAY_POINTER</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("GLintptr")}} indicating the address of the vertex attribute.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">gl.getVertexAttribOffset(i, gl.VERTEX_ATTRIB_ARRAY_POINTER);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.10", "getVertexAttribOffset")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glGetVertexAttribPointerv.xml", "glGetVertexAttribPointerv")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.getVertexAttribOffset")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.vertexAttribPointer()")}}</li>
</ul>
